package facets.core.superficial;
/**
Superfical facet. 
<p>{@link SFacet} is an abstract application surface 
	element that creates and manages widgets providing view and control of its {@link 
	STarget}. 
<p>{@link SFacet} is used within the Superfical core packages purely 
	as a marker interface as it adds no methods of its own to {@link SRetargetable}. 
 */
public interface SFacet extends SRetargetable{
}
/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

