package facets.facet.toolkit.avatar;
import facets.core.app.avatar.AvatarContent;
import facets.util.Debug;
import facets.util.geom.Point;
import java.awt.event.MouseEvent;
class Pick{
	final PickPainter[]painters;
	final Object picked,hit;
	Pick(Object picked,Object hit,PickPainter[]painters){
		this.picked=picked;
		this.hit=hit;
		this.painters=painters;
	}
	public String toString(){
		return Debug.info(this)+": "+Debug.info(picked)+", "+hit;
	}
	PickPainter[]respondToMouse(AvatarCanvas canvas,Point at,int eventVals){
		return picked instanceof Avatar&&eventVals!=MouseEvent.MOUSE_EXITED?
				painters:null;
	}
	static Pick newNullPick(Object source){
		return new Pick(source,null,null){
			public PickPainter[]respondToMouse(AvatarCanvas canvas,Point at,int eventVals){
				switch(eventVals){
				case MouseEvent.MOUSE_ENTERED://defaultsWait.start();
					break;
				case MouseEvent.MOUSE_EXITED://defaultsWait.stop();
					break;
				}
				return null;
			}
		};
	}
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
