package facets.facet;
import facets.core.superficial.Notifying;
import facets.core.superficial.SFacet;
import facets.core.superficial.STarget;
import facets.core.superficial.Notifying.Impact;
import facets.core.superficial.app.SAreaTarget;
import facets.facet.toolkit.KMount;
import facets.facet.toolkit.KWrap;
import facets.facet.toolkit.Kit;
import facets.facet.toolkit.KitFacet;
import facets.util.Debug;
import facets.util.Objects;
import facets.util.Util;
abstract class AreaMount extends AreaMountCore{
  AreaMount(SAreaTarget area,Kit toolkit){
		super(area,toolkit);
	}
  final protected void retargeted(SAreaTarget area,Impact impact){
    super.retargeted(area,impact);
  	if(area.indexableTargets().length==0)return;
    STarget child=area.indexedTarget();
    if(!(child instanceof SAreaTarget))return;
    KWrap selectBase=((KitFacet)((SAreaTarget)child).attachedFacet()).base();
    ((KMount)base()).setActiveItem(selectBase);
  }
  final public void setFacets(SFacet...facets){
		setAreaContents(Objects.newTyped(FacetCore.class,facets));
  }
  protected void setAreaContents(FacetCore[]areas){			  
  	KWrap[]bases=new KWrap[areas.length];
  	for(int i=0;i<bases.length;i++)bases[i]=areas[i].base();
  	((KMount)base()).setItems(bases);
  }
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
