package facets.facet.toolkit.avatar;
import facets.core.app.avatar.Painter;
import facets.core.app.avatar.PainterSource;
import facets.util.StringFlags;

import java.awt.Dimension;
import javax.swing.JComponent;
import javax.swing.JPanel;
class SwingPlaneMaster extends SwingAvatarMaster implements PlaneCanvas.PlaneHost{
	SwingPlaneMaster(PlaneCanvas canvas){
		super(canvas);
	}
	final public PainterSource newPainterSource(){
		return new SwingPainterSource((PlaneCanvas)canvas,avatarPane());
	}
	public void adjustToPlane(int planeWidth,int planeHeight,int viewerLeft,
			int viewerTop){
		Dimension planeSize=new Dimension(planeWidth,planeHeight);
		JComponent canvas=findCanvasPane();
		if(!canvas.getSize().equals(planeSize)){
			canvas.setPreferredSize(planeSize);
			canvas.revalidate();
		}
	}
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
